#
# spec file for package python-vega_datasets
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define skip_python2 1
%define skip_python36 1
Name:           python-vega_datasets
Version:        0.9.0
Release:        1.11
Summary:        A Python package for offline access to Vega datasets
License:        MIT
Group:          Development/Languages/Python
URL:            http://github.com/altair-viz/vega_datasets
Source:         https://files.pythonhosted.org/packages/source/v/vega_datasets/vega_datasets-%{version}.tar.gz
BuildRequires:  %{python_module pandas}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
Requires:       python-pandas
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
A Python package for offline access to vega datasets.
- Provide straightforward access in Python to the datasets made available
- return the results in the form of a Pandas dataframe
- wherever dataset size and/or license constraints make it possible, bundle the dataset with the package so that datasets can be loaded in the absence of a web connection

%prep
%setup -q -n vega_datasets-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest vega_datasets/tests

%files %{python_files}
%license LICENSE
%{python_sitelib}/vega_datasets
%{python_sitelib}/vega_datasets-%{version}*-info

%changelog
* Fri Feb 19 2021 Ben Greiner <code@bnavigator.de>
- Update to 0.9.0
  * Change urls to use jsDelivr (a fast CDN) with a fixed version
    number, instead of GitHub. This fixes the URLs broken by the
    vega-datasets 2.0 release.
- Skip python36: Pandas is no longer available for the TW python36
  flavor (NEP 29, NumPy 1.20)
* Tue Jan 28 2020 Todd R <toddrme2178@gmail.com>
- Update to 0.8.0
  * Include all data from vega-datasets v1.29.0
  * Add ohlc to local datasets
- Drop upstream-included fix_pandas_0_25.patch
* Wed Jul 31 2019 Todd R <toddrme2178@gmail.com>
- Add fix_pandas_0_25.patch
  Fix for building with pandas 0.25.0
  See: gh#altair-viz/vega_datasets#24
  From: gh#altair-viz/vega_datasets#25
* Sat Dec 22 2018 Todd R <toddrme2178@gmail.com>
- Update to 0.7.0
  * Add wheat to local datasets
- Update to 0.6.0
  * Add us-unemployment local dataset
* Thu May 17 2018 tchvatal@suse.com
- Initial commit, needed by python-altair
